function xout=tink(x,par,dim);

% Tinkerbell map

% Alligood, K. T., T. D. Sauer, and J. A. York, 1996, Chaos:
% An introduction to dynamical systems, Springer-Verlag.

% Equations:
% x_{i+1} = x_i*x_i - y_i*y_i + a*x_i + b*y_i
% y_{i+1} = c*x_i*y_i - d*x_i + e*y_i

xout(1) = x(1)*x(1) - x(2)*x(2) + par(1)*x(1) + par(2)*x(2);
xout(2) = par(3)*x(1)*x(2) - par(4)*x(1) + par(5)*x(2);
