function xout=henon(x,par,dim);

% Henon map

% Henon, M., 1976, A two-dimensional mapping with a strange attractor,
% Commun. Math. Phys., 50, 291.

% Equations:
% x_{i+1} = 1.0 - a*x_i*x_i + y_i
% y_{i+1} = b*x_i

xout(1) = 1.0 - par(1)*x(1)*x(1) + x(2);
xout(2) = par(2)*x(1);
